net.sf.jasperreports.components.iconlabel

## Class IconLabelElementXmlHandler

- java.lang.Object
- - net.sf.jasperreports.components.iconlabel.IconLabelElementXmlHandler

- All Implemented Interfaces:
    GenericElementHandler, GenericElementXmlHandler

      public class IconLabelElementXmlHandler
      extends java.lang.Object
      implements GenericElementXmlHandler

  Version:
    $Id:ChartThemesUtilities.java 2595 2009-02-10 17:56:51Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IconLabelElementXmlHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `exportElement(JRXmlExporterContext exporterContext, JRGenericPrintElement element)` Exports a generic element.
    `static IconLabelElementXmlHandler` | `getInstance()`
    `boolean` | `toExport(JRGenericPrintElement element)` Decides whether a generic print element is to be exported.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IconLabelElementXmlHandler

          public IconLabelElementXmlHandler()

  - ### Method Detail

    - #### getInstance

          public static IconLabelElementXmlHandler getInstance()

    - #### exportElement

          public void exportElement(JRXmlExporterContext exporterContext,
                           JRGenericPrintElement element)

      Description copied from interface: `GenericElementXmlHandler`
      Exports a generic element.

      Access to the exporter output and environment is provided via the `JRXmlExporterContext` argument.

      Specified by:
        `exportElement` in interface `GenericElementXmlHandler`
      Parameters:
        `exporterContext` - the exporter context
        `element` - the generic element to export

    - #### toExport

          public boolean toExport(JRGenericPrintElement element)

      Description copied from interface: `GenericElementHandler`
      Decides whether a generic print element is to be exported.
      Specified by:
        `toExport` in interface `GenericElementHandler`
      Parameters:
        `element` - the element
      Returns:
        whether the element is to be exported or skipped

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com